.userSpace {
  display: flex;
  flex: 1;
  min-height: calc(100% - 6rem);
  min-width: 100vw;
  flex-direction: column;
  transition:
    transform 0.2s ease-in,
    border-radius 0.2s ease-in;

  @media (max-width: 768px) {
    z-index: 2;
    overflow: hidden;
  }

  @media (min-width: 768px) {
    flex-direction: row;
    min-height: 100vh;
  }
}
.userSpace--user-menu-visible {
  @media (max-width: 768px) {
    transform: translate3d(calc(-100% + 3.5rem), 0, 0);
    border-radius: 1.2rem;
  }
}

.productSidebar {
  display: flex;
  flex-direction: row;
  background-color: var(--pr-user-space-sidebar-header-bg-color);
  z-index: 10;
  transition: all 0.2s ease-in;
  @media (min-width: 768px) {
    flex-direction: column;
    width: 70px;
  }
  @media (max-width: 768px) {
    position: fixed;
    left: 0;
    right: 0;
  }
}

.productSidebar--expanded {
  @media (min-width: 768px) {
    width: 300px;
  }
}

.productSidebarCtn {
  display: flex;
  flex: 1;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 1.5rem 0;
  transition: all 0.2s ease-in;

  @media (max-width: 769px) {
    position: relative;
    top: 0;
    left: 0;
    right: 0;
  }
  @media (min-width: 768px) {
    flex-direction: column;
    align-items: start;
    overflow: hidden;
  }
}
.productSidebar-icon {
  display: flex;
}

.homeLinkCtn {
  padding: 0 1.2rem;
  color: var(--pr-user-space-sidebar-button-color);
  @media (min-width: 768px) {
    margin-bottom: 2.4rem;
  }
}
.homeLinkCtn img {
  object-fit: contain;
  max-height: 3rem;
  height: 100%;
}
.productsLinks {
  overflow: hidden auto;
  padding: 0 1.2rem;
  @media (max-width: 769px) {
    position: absolute;
    top: 5rem;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: var(--pr-user-space-sidebar-bg-color);
    transform: translate3d(0, calc(-100% - 5rem), 0);
    transition:
      transform 0.2s ease-in,
      background-color 0.2s ease-in;
    height: calc(100vh - 5rem);
  }
  @media (min-width: 768px) {
    display: flex;
    flex-direction: column;
    flex: 1;
    width: 100%;
  }
}
.userSpace--ios .productsLinks {
  @media (max-width: 769px) {
    height: calc(100vh - 10rem);
  }
}
.productSidebar--visible .productsLinks {
  display: flex;
  flex-direction: column;
  @media (max-width: 769px) {
    transform: translate3d(0, 0, 0);
  }
}
.productsLinksCtn {
  display: flex;
  position: relative;
  flex-direction: column;
}
.productsLinksCtn a {
  display: flex;
  flex: 1;
}
.productsLinksCtn--expand {
  display: none;
  @media (min-width: 768px) {
    display: flex;
  }
}
.productsLinksGroupTop {
  display: flex;
  flex-direction: column;
  @media (max-width: 769px) {
    justify-content: center;
    flex: 1;
    margin-bottom: 8rem;
  }
}
.productsLinksGroupBottom {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  @media (min-width: 768px) {
    flex: 1;
  }
  @media (max-width: 769px) {
    bottom: 0;
    position: absolute;
    left: 0;
    right: 0;
  }
  .productsLinksCtn {
    @media (max-width: 769px) {
      flex-direction: row;
      justify-content: space-between;
      margin-bottom: 2rem;
      & > *:nth-child(1) {
        order: 2;
        flex: none;
        .sidebarButtonLabel {
          display: none;
        }
      }
      & > *:nth-child(2) {
        order: 1;
        flex: none;
        .sidebarButton {
          background-color: transparent;
        }
        .sidebarButton--selected .sidebarButtonLabel,
        .sidebarButton:hover .sidebarButtonLabel {
          color: var(--pr-user-space-sidebar-header-color);
        }
      }
    }
  }
}

.mobileToggleBtn {
  display: flex;
  align-items: center;
  position: relative;
  width: 24px;
  height: 24px;
  margin-right: 0.9rem;

  @media (min-width: 768px) {
    display: none;
  }
}

.mobileToggleBtnOpen,
.mobileToggleBtnClose {
  width: 24px;
  height: 24px;
  color: var(--pr-user-space-sidebar-color);
  position: absolute;
  transition: opacity 0.2s ease-in;
}

.mobileToggleBtnOpen {
  opacity: 1;
}

.mobileToggleBtnClose {
  opacity: 0;
}
.productSidebar--visible {
  .mobileToggleBtnOpen {
    opacity: 0;
  }

  .mobileToggleBtnClose {
    opacity: 1;
  }
}

.sidebarButton {
  display: flex;
  flex: 1;
  flex-direction: row;
  border-radius: 0.9rem;
  align-items: center;
  @media (max-width: 769px) {
    margin: 0 2.4rem;
  }
  @media (min-width: 768px) {
    margin-top: 1.2rem;
  }
}
.sidebarButton--selected,
.sidebarButton:hover {
  background: var(--pr-user-space-sidebar-button-bg-color);
}
.sidebarButtonIconCtn {
  padding: 1.2rem;
  border-radius: 0.9rem;
  @media (min-width: 768px) {
    padding: 0.5rem;
  }
}
.sidebarButton .sidebarButtonIconCtn img,
.sidebarButton .sidebarButtonIconCtn svg {
  width: 24px;
  height: 24px;
}
.sidebarButton .sidebarButtonIconCtn svg {
  color: var(--pr-user-space-sidebar-button-color);
}
.sidebarButton--selected .sidebarButtonIconCtn svg,
.sidebarButton:hover .sidebarButtonIconCtn svg {
  color: var(--pr-user-space-sidebar-button-color--hover);
}
.sidebarButtonLabel {
  color: var(--pr-user-space-sidebar-button-color);
  display: flex;
  align-items: center;
  font-size: 1.8rem;
  font-weight: 500;
  text-align: left;
  position: absolute;
  left: 7rem;
  white-space: nowrap;
  transition: left 0.2s ease-in;

  @media (min-width: 768px) {
    font-size: 1.2rem;
    left: 5rem;
  }
}
.sidebarButton--selected .sidebarButtonLabel,
.sidebarButton:hover .sidebarButtonLabel {
  color: var(--pr-user-space-sidebar-button-color--hover);
}
.sidebarButton--expanded .sidebarButtonLabel {
  left: 7rem;
  transition: left 0.2s ease-out;
  @media (min-width: 768px) {
    left: 4rem;
  }
}

.userDropDown {
  display: flex;
  flex: 1;
  position: relative;
  margin-left: -4px;
}
.userDropDownOverlay {
  display: flex;
  position: absolute;
  z-index: 999;
  transition:
    transform 0.2s ease-in,
    box-shadow 0.2s ease-in;
  border-radius: 1rem;

  @media (max-width: 769px) {
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 3.5rem;
    right: 0;
    background: white;
    border-radius: 0;
    z-index: 0;
    height: auto;
    flex: 1;
  }
  @media (min-width: 768px) {
    transform: translate3d(-100%, 0, 0);
    bottom: 0.9rem;
  }
}

.userDropDownOverlay.userDropDownOverlay--visible {
  @media (max-width: 769px) {
    transform: translate3d(0, 0, 0);
  }
  @media (min-width: 768px) {
    transform: translate3d(5rem, 0, 0);
  }
}
.userDropDownOverlay.userDropDownOverlay--visible.userDropDownOverlay--expanded {
  @media (min-width: 768px) {
    transform: translate3d(300px, 0, 0);
  }
}
$overlayWidth: 285px;
$overlayMaxHeight: 245px;
.userDropDownOverlayCtn {
  @media (max-width: 769px) {
    width: 100%;
    height: 100%;
  }
  @media (min-width: 768px) {
    margin-left: 1.2rem;
    overflow: hidden;
    width: $overlayWidth;
    transition:
      width 0.2s ease-in,
      height 0.2s ease-in;
  }
}

.userDropDownOverlaySurface {
  display: flex;
  flex-direction: row;
  transition: margin 0.2s ease-in;
  display: flex;
  align-items: flex-end;
  @media (max-width: 769px) {
    width: 100%;

    :global(.ant-menu) {
      display: flex;
      flex: 1;
      height: 100%;
      flex-direction: column;
      padding: 2.5rem 0;
      border-radius: 0;
    }
    :global(.ant-menu-item) {
      margin-left: 2.5rem;
      margin-right: 2.5rem;
    }
    :global(.ant-menu-item):nth-child(1) {
      flex: 1;
      align-items: baseline;
    }
    :global(.ant-menu-item-divider) {
      margin-left: 2.5rem;
      margin-right: 2.5rem;
    }
  }
}
.userDropDownOverlayPage {
  @media (max-width: 769px) {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--pr-menu-bg-color);
    height: 100%;
    max-height: unset;
    border-radius: 1rem;
    width: 100%;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease-in;
  }
  @media (min-width: 768px) {
    position: relative;
    background-color: var(--pr-menu-bg-color);
    width: calc($overlayWidth * 2);
    border-radius: 0.9rem;
    height: 600px;
    max-height: 400px;
    transition: max-height 0.2s ease-in;
    overflow: hidden;
  }

  iframe {
    height: 100%;
    width: 100%;
  }
}
.userDropDownClosePageBtn {
  position: absolute;
  top: 0.9rem;
  right: 0.9rem;
  svg {
    width: 2rem;
    height: 2rem;
  }
}
.userDropDown--navigated {
  box-shadow: 0.1rem -0.1rem 1rem rgba(0, 0, 0, 0.2);

  & {
    @media (max-width: 769px) {
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
    }
  }
  .userDropDownOverlayCtn {
    @media (min-width: 768px) {
      margin-left: 1.2rem;
      overflow: hidden;
      width: calc($overlayWidth * 2);
      height: 600px;
    }
  }
  .userDropDownOverlaySurface {
    @media (min-width: 768px) {
      margin-left: -50%;
      height: 100%;
    }
  }
  .userDropDownOverlayPage {
    pointer-events: all;
    opacity: 1;
    @media (min-width: 768px) {
      max-height: 600px;
    }
  }
}

:global(.product-sidebar-is-visible) {
  @media (max-width: 769px) {
    .userDropDownOverlay {
      display: flex;
    }
    .userDropDownOverlayCtn {
      display: flex;
      flex-direction: row;
      ul {
        width: 100%;
      }
    }
  }
}
.user-menu-ctn {
  box-shadow: 0px 4px 12px 0px #0e173414;
  border-radius: 0.9rem;
  width: 285px;
  flex: none;
}
.user-menu-item-user-ctn-with-icon {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 1.2rem;

  &:focus {
    text-decoration: underline;
  }
}
.user-menu-item-user-icon {
  margin-left: 0.6rem;
}
.user-menu-item-user-ctn {
  height: auto !important;
  padding: 0 !important;
}
.user-menu-item-user {
  display: flex;
  flex-direction: row;
  margin-top: 0.5rem;

  @media (max-width: 769px) {
    flex-direction: column;
  }

  &-icon {
    margin-right: 0.7rem;
  }
  &-display-name-ctn {
    display: flex;
    flex-direction: column;
    width: 180px;
    @media (max-width: 769px) {
      margin-top: 1.2rem;
    }
  }
  &-name {
    display: flex;
    font-size: 1.2rem;
    font-weight: 400;
    line-height: 1.4;
    @media (max-width: 769px) {
      font-size: 1.5rem;
      font-weight: 500;
    }
  }
  &-email {
    display: flex;
    font-size: 1.2rem;
    line-height: 1.4;
    @media (max-width: 769px) {
      font-size: 1.2rem;
      font-weight: 400;
    }
  }
}

.userSpace-content {
  position: relative;
  display: flex;
  flex: 1;
  flex-direction: column;
  overflow: hidden;
  @media (max-width: 768px) {
    height: 100%;
    @supports (height: 100dvh) {
      height: 100dvh;
    }
    flex: none;

    > * {
      padding-top: 6rem;
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      overflow: auto;
    }
  }
}

.userSpace-avatar {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  color: white;
}
